Admiral
States

List state versions

GET
/api/v1/states/{state_id}/versions

Returns NOT_FOUND if the state record does not exist.

Scope: state:read

Authorization

bearerAuth
AuthorizationBearer <token>

Personal Access Token (PAT) or Service Access Token (SAT). Pass the token in the Authorization header: Bearer adm_pat_...

In: header

Path Parameters

state_id*state_id

The state record to list versions for (UUID).

Formatuuid

Query Parameters

page_size?page_size

Maximum number of versions to return per page.

Formatint32
Range0 <= value <= 100
page_token?page_token

Opaque pagination token from a previous response.

Response Body

application/json

curl -X GET "https://admiral.example.com/api/v1/states/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions"
{  "versions": [    {      "serial": 0,      "md5": "string",      "lineage": "string",      "size_bytes": 0,      "job_id": "453bd7d7-5355-4d6d-a38e-d9e7eb218c3f",      "created_at": "2023-01-15T01:30:15.01Z"    }  ],  "next_page_token": "string"}